Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/tSIOPortGRCitrus.cdl
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/tSIOPortGRCitrus.cdl	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/tSIOPortGRCitrus.cdl	(revision 374)
@@ -51,10 +51,10 @@
  */
 import_C("gr_citrus.h");
-import_C("rx630.h");
+import_C("device.h");
 
 /*
  *  FIFO内蔵シリアルコミュニケーションインタフェース用 簡易SIOドライバ
  */
-import("tSCIF.cdl");
+import("tMbedSerial.cdl");
 
 /*
@@ -74,10 +74,4 @@
 	call			sSIOPort	cSIOPort;
 	[inline] entry	siSIOCBR	eiSIOCBR;
-
-	/*
-	 *  割込み要求ライン操作のための結合
-	 */
-	call	sInterruptRequest	cRxInterruptRequest;
-	call	sInterruptRequest	cTxInterruptRequest;
 };
 
@@ -86,5 +80,4 @@
  *  ト）のセルタイプ
  */
-[active]
 composite tSIOPortGRCitrus {
 	/*
@@ -98,9 +91,6 @@
 	 */
 	attr {
-		uintptr_t	baseAddress;				/* ベースアドレス */
-		INTNO		rxInterruptNumber;			/* 受信割込み番号 */
-		INTNO		txInterruptNumber;			/* 送信割込み番号 */
-		PRI			isrPriority = 1;			/* ISR優先度 */
-		PRI			interruptPriority = -4;		/* 割込み優先度 */
+		int32_t tx;								/* 送信Pin */
+		int32_t rx;								/* 受信Pin */
 		uint32_t	baudRate = 115200;			/* ボーレートの設定値 */
 	};
@@ -109,6 +99,7 @@
 	 *  SIOドライバ
 	 */
-	cell tSCIF SCIF {
-		baseAddress = composite.baseAddress;
+	cell tMbedSerial MbedSerial {
+		tx          = composite.tx;
+		rx          = composite.rx;
 		baudRate    = composite.baudRate;
 		ciSIOCBR    = SIOPortMain.eiSIOCBR;
@@ -120,35 +111,7 @@
 	cell tSIOPortGRCitrusMain SIOPortMain {
 		ciSIOCBR            => composite.ciSIOCBR;
-		cSIOPort            = SCIF.eSIOPort;
-		cRxInterruptRequest = RxInterruptRequest.eInterruptRequest;
-		cTxInterruptRequest = TxInterruptRequest.eInterruptRequest;
+		cSIOPort            = MbedSerial.eSIOPort;
 	};
 	composite.eSIOPort => SIOPortMain.eSIOPort;
-
-	/*
-	 *  SIOの受信割込みサービスルーチンと割込み要求ライン
-	 */
-	cell tISR RxISRInstance {
-		interruptNumber = composite.rxInterruptNumber;
-		isrPriority     = composite.isrPriority;
-		ciISRBody       = SCIF.eiRxISR;
-	};
-	cell tInterruptRequest RxInterruptRequest {
-		interruptNumber   = composite.rxInterruptNumber;
-		interruptPriority = composite.interruptPriority;
-	};
-
-	/*
-	 *  SIOの受信割込みサービスルーチンと割込み要求ライン
-	 */
-	cell tISR TxISRInstance {
-		interruptNumber = composite.txInterruptNumber;
-		isrPriority     = composite.isrPriority;
-		ciISRBody       = SCIF.eiTxISR;
-	};
-	cell tInterruptRequest TxInterruptRequest {
-		interruptNumber   = composite.txInterruptNumber;
-		interruptPriority = composite.interruptPriority;
-	};
 };
 
@@ -158,13 +121,12 @@
  *  サンプルプログラムが使うポートが，SIOPortTarget1に固定されているた
  *  め，ポート1とポート3を入れ換えている．具体的には，SIOPortTarget1は
- *  SCIFのチャネル2（チャネル番号は0から始まるので，ポート3のこと）に，
- *  SIOPortTarget3はSCIFのチャネル0につながっている．
+ *  MbedSerialのチャネル2（チャネル番号は0から始まるので，ポート3のこと）に，
+ *  SIOPortTarget3はMbedSerialのチャネル0につながっている．
  */
 [prototype]
 cell tSIOPortGRCitrus SIOPortTarget1 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCI0_BASE");
-	rxInterruptNumber = C_EXP("INT_SCI0_RXI");
-	txInterruptNumber = C_EXP("INT_SCI0_TEI");
+	tx = C_EXP("P20");		/* PIN_IO0 */
+	rx = C_EXP("P21");		/* PIN_IO1 */
 };
 
@@ -172,7 +134,6 @@
 cell tSIOPortGRCitrus SIOPortTarget2 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCI1_BASE");
-	rxInterruptNumber = C_EXP("INT_SCI1_RXI");
-	txInterruptNumber = C_EXP("INT_SCI1_TEI");
+	tx = C_EXP("P50");		/* PIN_IO5 */
+	rx = C_EXP("P52");		/* PIN_IO6 */
 };
 
@@ -180,7 +141,6 @@
 cell tSIOPortGRCitrus SIOPortTarget3 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCI2_BASE");
-	rxInterruptNumber = C_EXP("INT_SCI2_RXI");
-	txInterruptNumber = C_EXP("INT_SCI2_TEI");
+	tx = C_EXP("P32");		/* PIN_IO7 */
+	rx = C_EXP("P33");		/* PIN_IO8 */
 };
 
@@ -188,7 +148,6 @@
 cell tSIOPortGRCitrus SIOPortTarget4 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCI3_BASE");
-	rxInterruptNumber = C_EXP("INT_SCI3_RXI");
-	txInterruptNumber = C_EXP("INT_SCI3_TEI");
+	tx = C_EXP("PC7");		/* PIN_IO12 */
+	rx = C_EXP("PC6");		/* PIN_IO11 */
 };
 
@@ -196,7 +155,6 @@
 cell tSIOPortGRCitrus SIOPortTarget5 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCI4_BASE");
-	rxInterruptNumber = C_EXP("INT_SCI4_RXI");
-	txInterruptNumber = C_EXP("INT_SCI4_TEI");
+	tx = C_EXP("P26");		/* PIN_IO26 */
+	rx = C_EXP("P30");		/* PIN_IO22 */
 };
 
@@ -204,7 +162,6 @@
 cell tSIOPortGRCitrus SIOPortTarget6 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCI5_BASE");
-	rxInterruptNumber = C_EXP("INT_SCI5_RXI");
-	txInterruptNumber = C_EXP("INT_SCI5_TEI");
+	tx = C_EXP("PB5");		/* PIN_IO29 */
+	rx = C_EXP("P25");		/* PIN_IO23 */
 };
 
@@ -212,7 +169,6 @@
 cell tSIOPortGRCitrus SIOPortTarget7 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCI6_BASE");
-	rxInterruptNumber = C_EXP("INT_SCI6_RXI");
-	txInterruptNumber = C_EXP("INT_SCI6_TEI");
+	tx = C_EXP("PA0");		/* PIN_IO33 */
+	rx = C_EXP("PC2");		/* PIN_IO4 */
 };
 
@@ -220,6 +176,5 @@
 cell tSIOPortGRCitrus SIOPortTarget8 {
 	/* 属性の設定 */
-	baseAddress       = NULL;
-	rxInterruptNumber = NULL;
-	txInterruptNumber = NULL;
+	rx = NULL;
+	tx = NULL;
 };
